<div class="alert-message-custom">
    <div class="alert alert-success" role="alert" *ngIf='alertSuccess'>
        <h6 class="mrg0B text-center"><i class="fa fa-check mrg10R" aria-hidden="true"></i>{{successMsg}}</h6>
    </div>
</div>

<div class="alert-message-custom">
    <div class="alert alert-danger" role="alert" *ngIf='alertDanger'>
        <h6 class="mrg0B text-center"><i class="fa fa-exclamation-triangle mrg10R" aria-hidden="true"></i>{{errorMsg}}</h6>
    </div>
</div>

<div class="loading" *ngIf="paginationLoader">Loading&#8230;</div>

<app-header></app-header>

<div class="searchBoxDiv">
    <form class="searchBox">
        <input type="text" class="form-control textUppercase" placeholder="Search by seal number.." name="search" [(ngModel)]="sealNumber" required #sealnumber="ngModel" [disabled]="searchBox" minlength="12" maxlength="12">
        <button type="submit" class="btn" title="Click here to search seal number details" (click)="searchSealDetails()">Search</button>
    </form>
    <span class="help-block" *ngIf="sealnumber.errors && (sealnumber.invalid && sealnumber.touched)">
        <p class="text-red" [hidden]="!sealnumber.errors.required">Seal number is required.</p>
        <p class="text-red" [hidden]="!sealnumber.errors.minlength">Password can't be less than 12 characters.</p>
    </span>
</div>
<div class="text-center colorText" *ngIf="hideIconDiv">
    <img src="../../../assets/images/search.png">
    <p>Enter seal number to search record</p>
</div>
<div class="white-card text-center colorText" *ngIf="scanSealShow">
    <p><b>Seal is scanned but not installed</b></p>
    <p> Are you sure want to reset this seal?</p>
    <p>
        <button class="btn btn-rounded btn-theme-br-5  ripple p1035" type="button" (click)="statusChange();">
            Yes
        </button>
        <button class="btn btn-rounded btn warning p1035" type="button" (click)="statusChangeHide();">
            No
        </button>
    </p>
</div>
<div class="white-card text-center colorText" *ngIf="showDiv">
    Search seal no records are not availale
</div>
<div class="white-card" *ngIf="hideSealDiv">
    <div class="row d-flex align-items-center">
        <div class="col-md-9 col-sm-12 col-xs-12">
            <h5 class="theme-text">Seal Details</h5>
        </div>
        <div class="col-md-3 col-sm-12 col-xs-12">
            <button class="btn btn-rounded btn-with-icon btn-edit pull-right ripple" type="button" *ngIf='editBtnShow' (click)="editHide();" [disabled]="editBtnDisabled">
                    <i class="fa fa-pencil mrg10R"></i>Edit
            </button>
            <button class="btn btn-rounded btn-with-icon btn-save pull-right ripple" type="button" *ngIf='saveBtnShow' (click)="saveHide();" [disabled]="(formone.invalid) || saveBtnDisable">
                    <i class="fa fa-save mrg10R"></i>Save
            </button>
        </div>
    </div>
    <hr class="mrg0LR">
    <div class="row">
        <div class="col-md-6 col-sm-6 col-12">
            <div class="row">
                <div class="col-md-6 col-sm-6 col-4">
                    <p class="text-right">Seal No.</p>
                </div>
                <div class="col-md-6 col-sm-6 col-8">
                    <h6>{{sealNo}}</h6>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12 col-sm-12 col-xs-12">
            <h5 class="theme-text">Shipping Details</h5>
        </div>
    </div>
    <hr class="mrg0LR">
    <form #formone="ngForm">
        <div class="row">
            <div class="col-md-6 col-sm-6 col-12">
                <div class="row">
                    <div class="col-md-6 col-sm-6 col-4">
                        <p class="text-right">Sealing Date</p>
                    </div>
                    <div class="col-md-6 col-sm-6 col-8">
                        <h6 *ngIf="editBtnShow">{{sealingDate | date: 'dd-MM-yyyy'}}</h6>
                        <input type="text" class="form-control cursor" id="sealingDateOne" name="sealingDate" daterangepicker [options]="sealingDatePicker" (selected)="sealingDateSelect($event)" value="{{sealingDate | date: 'dd-MM-yyyy'}}" *ngIf="saveBtnShow" readonly>
                    </div>
                </div>
            </div>
            <div class="col-md-6 col-sm-6 col-12">
                <div class="row">
                    <div class="col-md-6 col-sm-6 col-4">
                        <p class="text-right">Sealing Time</p>
                    </div>
                    <div class="col-md-6 col-sm-6 col-8">
                        <h6 *ngIf="editBtnShow">{{sealDetails.sealingTime}}</h6>
                        <input data-format="hh:mm:ss" class="form-control disabledInputs" id="sealingTime" name="sealingTime" [(ngModel)]="sealingTime" *ngIf="saveBtnShow" required (keyup)="checkValueTime();" />
                        <span class="help-block">                           
                            <p class="text-red" id="check_blank_time" style="display:none;">Sealing Time required HH:MM:SS.</p>                           
                        </span>
                    </div>
                </div>
            </div>
            <div class="col-md-6 col-sm-6 col-12">
                <div class="row">
                    <div class="col-md-6 col-sm-6 col-4">
                        <p class="text-right">Destination Port/ICD</p>
                    </div>
                    <div class="col-md-6 col-sm-6 col-8">
                        <h6 *ngIf="editBtnShow">{{sealDetails.destinationStation}}</h6>
                        <angular2-multiselect *ngIf="saveBtnShow" [data]="icdDropdown" [(ngModel)]="selectedItemsEditIcdPort" name="icdName" [settings]="dropdownSettingsSepioEditCompanyIcds" (onSelect)="onItemSelectEditCompanyIcd($event)" (onDeSelect)="OnItemDeSelectEditCompanyIcd($event)">
                        </angular2-multiselect>
                    </div>
                </div>
            </div>

            <div class="col-md-6 col-sm-6 col-12">
                <div class="row">
                    <div class="col-md-6 col-sm-6 col-4">
                        <p class="text-right">Container No.</p>
                    </div>

                    <div class="col-md-6 col-sm-6 col-8">
                        <h6 class="textUppercase" *ngIf="editBtnShow">{{containerNo}}</h6>
                        <input type="text" class="form-control textUppercase" id="containerNo" name="containerNo" [(ngModel)]="containerNo" *ngIf="saveBtnShow" #containerno="ngModel" minlength="11" maxlength="11" (keydown.space)="$event.preventDefault()" required (keyup)="checkValue();">
                        <span class="help-block">
                            <p class="text-red" id="check_con_password" style="display:none;">Container number can't be less than 11 characters</p>
                            <p class="text-red" id="check_blank" style="display:none;">Container number required.</p>
                            <p class="text-red" id="check_container" style="display:none;">Container number should start with 4 alphabates and 7 digits</p>
                        </span>
                    </div>

                </div>
            </div>
            <div class="col-md-6 col-sm-6 col-12">
                <div class="row">
                    <div class="col-md-6 col-sm-6 col-4">
                        <p class="text-right">Seal Status</p>
                    </div>
                    <div class="col-md-6 col-sm-6 col-8">
                        <label class="btn w110 cursor-default" [ngClass]="{'btn-purple': sealDetails.status=='Arrived',
                                    'btn-light-blue': sealDetails.status=='In Transit',
                                    'btn-red': sealDetails.status=='Tampered',
                                    'btn-brown': sealDetails.status=='Not Readable'}">{{sealDetails.status}}
                    </label>
                    </div>
                </div>
            </div>
            <div class="col-md-6 col-sm-6 col-12">
                <div class="row">
                    <div class="col-md-6 col-sm-6 col-4">
                        <p class="text-right">Trailer No.</p>
                    </div>
                    <div class="col-md-6 col-sm-6 col-8">
                        <h6 class="textUppercase" *ngIf="editBtnShow">{{truckNo}}</h6>
                        <input type="text" class="form-control textUppercase" id="truckNo" name="truckNo" maxlength="11" [(ngModel)]="truckNo" *ngIf="saveBtnShow" (keyup)="checkValueTruck();" required>
                        <span class="help-block">
                           
                            <p class="text-red" id="check_blank_truck" style="display:none;">Trailer number is required.</p>
                        </span>
                    </div>
                </div>
            </div>
        </div>
    </form>
    <div class="row">
        <div class="col-md-12 col-sm-12 col-xs-12">
            <h5 class="theme-text">Shipping Bill Number Details</h5>
        </div>
    </div>
    <hr class="mrg0LR">
    <div class="row">
        <div class="col-md-6 col-sm-6 col-8">
            <h6 class="theme-text text-center">Shipping Bill No.</h6>
        </div>
        <div class="col-md-6 col-sm-6 col-8">
            <h6 class="theme-text text-center">Shipping Bill Date</h6>
        </div>
    </div>

    <div class="row">
        <div class="col-md-6 col-sm-6 col-8" *ngIf="editBtnShow">
            <h6 class="text-center" *ngFor="let shipBillNo of shippingBillNo">{{shipBillNo}}</h6>
        </div>
        <div class="col-md-6 col-sm-6 col-8" *ngIf="saveBtnShow">
            <div *ngFor="let shipBillNo of shippingBillNo;let i = index">
                <input type="text" id="shipibillno{{i}}" class="form-control cursor shipibillno{{i}} text-center mrg10B" name="shipBillNo{{i}}" minlength="7" (change)="changedArray($event, i, shipBillNo);" maxlength="7" value="{{shipBillNo}}" (keyup)="validateShippingNo(i);"
                    (keypress)="keyPressNumber($event);" (keydown.space)="$event.preventDefault()">
            </div>
        </div>

        <div class="col-md-6 col-sm-6 col-8" *ngIf="editBtnShow">
            <h6 class="text-center" *ngFor="let shipBillDate of shippingBillDate">{{shipBillDate}}</h6>
        </div>
        <div class="col-md-6 col-sm-6 col-8" *ngIf="saveBtnShow">
            <div *ngFor="let shipBillDate of shippingBillDate;let i = index">
                <input type="text" id="shipBillDate{{i}}" class="form-control cursor text-center shipBillDate{{i}} mrg10B" name="shipBillDate{{i}} " daterangepicker [options]="shippingBillDatePicker" (selected)="shippingDateSelect($event, shipBillDate, i)" value="{{shipBillDate}}"
                    *ngIf="saveBtnShow" readonly>
            </div>
        </div>
    </div>
</div>